2019-12-07 16:56 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002034FSSCPHUDpublic2009-11-23 22:21
Reporterchief1983 
Assigned ToZacam 
PriorityhighSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.11 
Target Version3.6.12 RC1Fixed in Version3.6.11 
Summary0002034: Get 720p resolutions to use high res HUD art
DescriptionCurrently < 768p resolutions use the low res HUD art. 1280x720p could be utilizing the high res art scaled down.
Additional InformationThe_E is working on this, Zacam will follow through with commit.
TagsNo tags attached.
Attached Files
  • patch file icon Resolution.patch (387 bytes) 2009-11-21 18:03 -
    Index: code/graphics/2d.cpp
    ===================================================================
    --- code/graphics/2d.cpp	(revision 5671)
    +++ code/graphics/2d.cpp	(working copy)
    @@ -378,7 +378,7 @@
     		gr_screen.custom_size = true;
     	}
     
    -	if ( (width >= 1024) && (height >= 768) ) {
    +	if ( (width >= 1024) && (height >= 600) ) {
     		res = GR_1024;
     	} else {
     		res = GR_640;
    
    patch file icon Resolution.patch (387 bytes) 2009-11-21 18:03 +

-Relationships
+Relationships

-Notes

~0011313

Zacam (administrator)

Proposed patch from Topic Thread attached.

~0011320

chief1983 (administrator)

Works good on my end, should be able to take some sharp 720p videos with this now :)

Although since youtube now supports 1080p I might not bother.

~0011334

chief1983 (administrator)

Committed in 5681.
+Notes

-Issue History
Date Modified Username Field Change
2009-11-10 12:09 chief1983 New Issue
2009-11-10 12:09 chief1983 Status new => assigned
2009-11-10 12:09 chief1983 Assigned To => Zacam
2009-11-21 18:03 Zacam File Added: Resolution.patch
2009-11-21 18:03 Zacam Note Added: 0011313
2009-11-21 18:03 Zacam Status assigned => feedback
2009-11-22 12:17 chief1983 Note Added: 0011320
2009-11-23 22:21 chief1983 Note Added: 0011334
2009-11-23 22:21 chief1983 Status feedback => resolved
2009-11-23 22:21 chief1983 Resolution open => fixed
2009-11-23 22:21 chief1983 Fixed in Version => 3.6.11
+Issue History